2011-04-14 04:49:11     Blackfin tool chain eclipse plugin issues

Document created by Aaronwu Employee on Aug 26, 2013
Version 1Show Document
  • View in full screen mode

2011-04-14 04:49:11     Blackfin tool chain eclipse plugin issues

zied bouazizi (TUNISIA)

Message: 99840   

 

Hello,

 

 

 

I installed the blackfin toolchain plugin for eclipse using the update manager as mentioned in the following page: https://docs.blackfin.uclinux.org/doku.php?id=toolchain:eclipse:install.

 

 

 

I could create a simple hello world project using the blackfin linux FLAT toolchain. I build the project. But while start profiling this project, the following error is displayed: binaries cannot be found.

 

 

 

I checked the properties> C/C++ Build > Tool Chain Editor and I found this message displayed :

 

The configuration support is not installed on the system.

 

 

 

I selected the "select tool" button and I discovered that: Blackfin FLAT C Linker and Blackfin Loader are written with red color and the following message is also written: Tool Conflict: Blackfin FLAT C Linker, Blackfin Loader.

 

 

 

I want to inform you that a binary file was created after building the project and I could run it on my board bf537 using gdbserver.

 

 

 

I can't understand what is exactly problem and what is the meaning of " The configuration support is not installed on the system." message.

 

 

 

Thank you for help

 

QuoteReplyEditDelete

 

 

2011-04-14 13:18:42     Re: Blackfin tool chain eclipse plugin issues

Mike Frysinger (UNITED STATES)

Message: 99853   

 

the loader (ldr) makes no sense with userspace projects

QuoteReplyEditDelete

 

 

2011-04-15 04:28:22     Re: Blackfin tool chain eclipse plugin issues

zied bouazizi (TUNISIA)

Message: 99879   

 

and what about the linker?

QuoteReplyEditDelete

 

 

2011-04-15 16:23:53     Re: Blackfin tool chain eclipse plugin issues

Mike Frysinger (UNITED STATES)

Message: 99896   

 

what about it ?  you'll need a linker, so just remove the loader tool from the list.

QuoteReplyEditDelete

 

 

2011-04-18 04:21:58     Re: Blackfin tool chain eclipse plugin issues

zied bouazizi (TUNISIA)

Message: 99936   

 

I selected the project>properties> C/C++ Build> Tool Chain Editor> Select Tools>

 

then I selected the blackfin loader and I applied "Remove tool". The conflict is removed until now > OK.

 

After that the blackfin loader has not been removed yet. when I select the "select tools" button again I realised that the blackfin loader remains in the list and the changes have not been applied. What can I do to remove it from the list?? Is there another method to do it?

QuoteReplyEditDelete

 

 

2011-04-18 04:55:23     Re: Blackfin tool chain eclipse plugin issues

zied bouazizi (TUNISIA)

Message: 99937   

 

For information I am using: Blackfin Linux FLAT toolchain

QuoteReplyEditDelete

 

 

2011-04-18 10:05:39     Re: Blackfin tool chain eclipse plugin issues

Mike Frysinger (UNITED STATES)

Message: 99943   

 

it's probably a bug in the plugin, but unless it's causing you a problem, i wouldnt worry about it.  considering your app builds, it sounds like it isnt an actual issue.

QuoteReplyEditDelete

 

 

2011-04-18 11:09:34     Re: Blackfin tool chain eclipse plugin issues

zied bouazizi (TUNISIA)

Message: 99945   

 

Yes, maybe it's a bug in the plugin as you said.

Attachments

    Outcomes